org.richfaces.renderkit.html.images

## Class ProgressBarAnimatedBackgroundImage

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.images.ProgressBarAnimatedBackgroundImage

- All Implemented Interfaces:
    Java2DAnimatedUserResource, Java2DUserResource, StateHolderResource

      public class ProgressBarAnimatedBackgroundImage
      extends AbstractJava2DUserResource
      implements Java2DAnimatedUserResource, StateHolderResource

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressBarAnimatedBackgroundImage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFrameDelay()`
    `boolean` | `hasNextFrame()`
    `void` | `initialize()`
    `boolean` | `isLooped()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D g2d)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `startFramesSequence()`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.resource.Java2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

- - ### Constructor Detail

    - #### ProgressBarAnimatedBackgroundImage

          public ProgressBarAnimatedBackgroundImage()

  - ### Method Detail

    - #### isLooped

          public boolean isLooped()

      Specified by:
        `isLooped` in interface `Java2DAnimatedUserResource`

    - #### getFrameDelay

          public int getFrameDelay()

      Specified by:
        `getFrameDelay` in interface `Java2DAnimatedUserResource`

    - #### startFramesSequence

          public void startFramesSequence()

      Specified by:
        `startFramesSequence` in interface `Java2DAnimatedUserResource`

    - #### hasNextFrame

          public boolean hasNextFrame()

      Specified by:
        `hasNextFrame` in interface `Java2DAnimatedUserResource`

    - #### initialize

          public void initialize()

    - #### paint

          public void paint(Graphics2D g2d)

      Specified by:
        `paint` in interface `Java2DAnimatedUserResource`
      Specified by:
        `paint` in interface `Java2DUserResource`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.